<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import { Disclosure, DisclosureButton, DisclosurePanel } from '@headlessui/vue';


const props = defineProps<{
    active?: boolean, 
    header: string,
    light?:boolean,
    height?: number
}>();

const emits = defineEmits<{
    (e: 'click'):void
}>();

const handleClick = () => {
    emits('click');
}

</script>
<template>
<Disclosure as="div" :style="{'--itemHeight':(height?height:0) + 'px'}">
    <DisclosureButton class="text-left hover:text-gray-700 px-2 py-1 w-full rounded-md text-lg"
        :class="[props.light?'text-gray-200 hover:bg-gray-50/70':'hover:bg-gray-100']" @click="handleClick">
        {{header}}<i :class="`ri-arrow-${active?'up':'down'}-s-line`"></i></DisclosureButton>
    <transition name="expand">
        <DisclosurePanel static v-show="active" class="p-2">
            <slot></slot>
        </DisclosurePanel>
    </transition>
</Disclosure>
</template>
<style scoped>
.fuck{
    width:100%;
}
.expand-enter-active {
    transition: all 0.5s cubic-bezier(1, 0.9, 0.3, 1);
    overflow: hidden;
    max-height: 0px;
    padding-top: 0px;
    padding-bottom: 0px;

}

.expand-leave-active {
    transition: all 0.5s cubic-bezier(1, 0.9, 0.3, 1);
    overflow: hidden;
    max-height: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.expand-enter,
.expand-leave-to {
    max-height: 0px;
    overflow: hidden;
    padding-top: 0px;
    padding-top: 0px;
    padding-bottom: 0px;

}


.expand-enter-from {
    max-height: 0px;
    overflow: hidden;
    padding-top: 0px;
    padding-bottom: 0px;
}

.expand-enter-to {
    max-height: var(--itemHeight);
    overflow: hidden;
    padding-top: 8px;
    padding-bottom: 8px;
}

.expand-leave {
    max-height: var(--itemHeight);
    padding-top: 8px;
    padding-bottom: 8px;
}

.expand-leave-from {
    max-height: var(--itemHeight);
    padding-top: 8px;
    padding-bottom: 8px;
}
</style>